#!/bin/sh

DISTRIB=mandriva-linux-PWP-dual
TAG=2011
VERSION=2011
VV=2011
MEDIAMAIN=media/main
PIECES=/mnt/BIG/official
BUILDPATH="$HOME/build_bcd/build/$DISTRIB-$VERSION"
BUILDISOPATH="$HOME/build_bcd/iso/$DISTRIB-$VERSION"

# genisoimage options
AGENISO="$DISTRIB - $VERSION (Non-free)"
PUBLISHER="Mandriva"
SYSID="$PUBLISHER Linux"
TOOL="$SYSID BCD"
VOLSET="Bernie Lomax 2012 (Non-free) - DUAL CD"
VOLUME="FREE-2011-PWP"


./bcd.pl 2012-dual.xml all copy noiso 
./bcd.pl 2012-dual64.xml all copy noiso 

rm -vf $BUILDPATH-i586/i586/install/images/boot.iso
rm -rvf $BUILDPATH-i586/i586/install/images/alternatives
rm -rvf $BUILDPATH-i586/i586/install/images/
rm -rvf $BUILDPATH-i586/isolinux/alt1/
rm -vf $BUILDPATH-x86_64/x86_64/install/images/boot.iso
rm -vrf $BUILDPATH-x86_64/x86_64/install/images/alternatives
rm -vf $BUILDPATH-x86_64/install/images/
rm -vf $BUILDPATH-x86_64/x86_64/isolinux/alt1

sync

du -sh $BUILDPATH-i586/i586
du -sh $BUILDPATH-x86_64/x86_64

rm -rf $BUILDPATH
rm -rvf $BUILDISOPATH
mkdir -p $BUILDPATH
mkdir -p $BUILDISOPATH

cp -af $BUILDPATH-i586/i586 $BUILDPATH
cp -af $BUILDPATH-x86_64/x86_64 $BUILDPATH

cp -af $PIECES/$VV/i586/dosutils $BUILDPATH
cp -af $PIECES/$VV/i586/autorun.inf $BUILDPATH

cd $BUILDPATH/x86_64/$MEDIAMAIN


for i in *noarch.rpm
do
	if [ -f "../../../i586/$MEDIAMAIN/$i" ];then
		echo $i
		echo "erase package $i"
		rm -vf $i
		echo "link with the i586 one"
		ln -sf ../../../i586/$MEDIAMAIN/$i .
	else
		echo "no ../../../i586/$MEDIAMAIN/$i package"
	fi
done

cat >> $BUILDPATH/i586/isolinux/isolinux.cfg <<EOF
label harddisk64
  localboot 0x80
label linux64
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz automatic=method:cdrom vga=788 splash=silent
label vgalo64
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz automatic=method:cdrom vga=785
label vgahi64
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz automatic=method:cdrom vga=791
label text64
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz automatic=method:cdrom text
label rescue64
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz automatic=method:cdrom rescue
label noacpi64
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz automatic=method:cdrom vga=788 splash=silent acpi=off
label hdt64
  kernel /x86_64/isolinux/hdt.c32
  append modules=modules.pci
label alt064
  kernel /x86_64/isolinux/alt0/vmlinuz
  append initrd=/x86_64/isolinux/alt0/all.rdz vga=788 splash=silent
label alt164
  kernel /x86_64/isolinux/alt1/vmlinuz
  append initrd=/x86_64/isolinux/alt1/all.rdz vga=788 splash=silent
label memtest64
  kernel memtest
EOF

#cp -avf $HOME/bcd/compssUsers.pl $HOME/build_bcd/build/mandriva-linux-free-dual-$TAG-$VERSION/i586/media/media_info/compssUsers.pl
#cp -avf $HOME/bcd/compssUsers.pl $HOME/build_bcd/build/mandriva-linux-free-dual-$TAG-$VERSION/x86_64/media/media_info/compssUsers.pl
cat $BUILDPATH-i586/i586/pkg-$VERSION-$TAG.idx >> $BUILDPATH/$DISTRIB-$VERSION-dual.idx
cat $BUILDPATH-x86_64/x86_64/pkg-$VERSION-$TAG.idx >> $BUILDPATH/$DISTRIB-$VERSION-dual.idx

createiso() {
echo "genisoimage -f -r -J -hide-rr-moved -nobak -cache-inodes -no-emul-boot -boot-load-size 4  \
	-A "$AGENISO" \
	-publisher "$PUBLISHER" \
	-sysid "$SYSID" \
	-p "$TOOL" \
	-volset "$VOLSET" \
	-V "$VOLUME" \
	-o "$BUILDISOPATH/$DISTRIB-dual.iso" \
	-b i586/isolinux/isolinux.bin \
	-boot-info-table \
	-quiet \
	$BUILDPATH/"


genisoimage -f -r -J -hide-rr-moved -nobak -cache-inodes -no-emul-boot -boot-load-size 4 -A "$AGENISO" -publisher "$PUBLISHER" -sysid "$SYSID" -p "$TOOL" -volset "$VOLSET" -V "$VOLUME"  -o "$BUILDISOPATH/$DISTRIB-dual.iso" -b i586/isolinux/isolinux.bin -boot-info-table $BUILDPATH/ 

}

createiso

du -sh $BUILDISOPATH/$DISTRIB-$VERSION-dual.iso
echo "$BUILDPATH/$DISTRIB-$VERSION-dual.idx"
cd $BUILDISOPATH/
isohybrid -fatfirst $BUILDISOPATH/$DISTRIB-$VERSION-dual.iso
cp $BUILDPATH/$DISTRIB-$VERSION-dual.idx .
md5sum $DISTRIB-$VERSION-dual.iso > $DISTRIB-$VERSION-dual.iso.md5 &
sha1sum $DISTRIB-$VERSION-dual.iso > $DISTRIB-$VERSION-dual.iso.sha1 &
